summaryrefslogtreecommitdiff
path: root/dev-python/python-utils
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-03 03:05:05 -0500
committerCrucible <crucible@localhost>2026-10-03 03:05:05 -0500
commit36119ada8749c8c36efe79da1292bedd773ec7ab (patch)
treedb0945374a2e32b2ca88a0d78e9be1dbc9260efb /dev-python/python-utils
parent21285dda7f0109f39ec4234fdbb6a88025150872 (diff)
downloadsrcux-36119ada8749c8c36efe79da1292bedd773ec7ab.tar.gz
srcux-36119ada8749c8c36efe79da1292bedd773ec7ab.tar.xz
srcux-36119ada8749c8c36efe79da1292bedd773ec7ab.zip
Publish srcux candidate 0000000559-20261003-030307
Diffstat (limited to 'dev-python/python-utils')
-rw-r--r--dev-python/python-utils/Manifest2
-rw-r--r--dev-python/python-utils/python-utils-4.1.0.ebuild43
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/python-utils/Manifest b/dev-python/python-utils/Manifest
index bbf6a23c9133..f0fbe960f3db 100644
--- a/dev-python/python-utils/Manifest
+++ b/dev-python/python-utils/Manifest
@@ -1,2 +1,4 @@
DIST python_utils-4.0.0.tar.gz 43027 BLAKE2B 4abdcaace88afe2e6d0a4a7ec1f47fe11fd90929cbccf249b15a327cbc9878e4f7dfdef4b0351e56ffbf8ba7aefc0c13ccc5b9693dfc21d53897e82e6295a016 SHA512 189b73da6fbafc4f36e514e0f5ceffab5be461a8dbc344e038fdcb74fefacde3d7dabe0525d4bd6fd5521a829e0c9082a5611de21e21e52a4c961638539ffd22
DIST python_utils-4.0.0.tar.gz.provenance 9555 BLAKE2B 574af1303e7ef2e7d328e949346d78a3e6b58a40031820646b253d184f0aad13fde3b98edc2e2f265a71dd0c299eafa736df4e9306586eee79ffcab61aa8dd1f SHA512 236ab21a0447e8dd9408f54e20d45895e84158ae175b17526d68a17d20c049ac98b193886c8856c42652e21af4c8500be3a262114fa42933acc430ac0554ede5
+DIST python_utils-4.1.0.tar.gz 70942 BLAKE2B eabe65eb66b557af23437308dfe92632060b51d753d506c05218f4369e03e6b1846ef5074147480bbf240f158c47495e6588f2ef2d6d626fba76f54b6c97364b SHA512 f8150a0469bd5756710f9e8f032385aa10b6b302f7df97265463b60dba13ddfd9423325c176a9639e6d5302b5682088d9cdcdd1f5d251239bcd0b08cee1a3334
+DIST python_utils-4.1.0.tar.gz.provenance 9698 BLAKE2B 1cab51eb2fed3be792b00fa157a1ea3f873ac6a417d54986ad7870db38f5e3a4085f632769e273b9c0e5f15b4c2f2ff8988608f60056da562af380320e49ba18 SHA512 271cfc9612df9842ce193d1052564ac1fb3d91d80e851fc931f1eafe2de8b557f72ebcd6ccfdf2fabe8d9f92e9af27defbe7daf5935ce635cdc106327a12b79a
diff --git a/dev-python/python-utils/python-utils-4.1.0.ebuild b/dev-python/python-utils/python-utils-4.1.0.ebuild
new file mode 100644
index 000000000000..05d102d2521e
--- /dev/null
+++ b/dev-python/python-utils/python-utils-4.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=uv-build
+PYPI_VERIFY_REPO=https://github.com/wolph/python-utils
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+EPYTEST_DESELECT=(
+ # fragile
+ _python_utils_tests/test_time.py::test_timeout_generator
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_python_prepare_all
+}